## dbus 1.12.20.6

=== debian/changelog ===
dbus (1.12.20.6-1+deepin) unstable; urgency=medium

  * fix CVE-2022-42010 CVE-2022-42011 CVE-2022-42012.
  * 

 --  yanghaibo<yanghaibo@uniontech.com>  Mon, 17 Oct 2022 16:39:44 +0800

dbus (1.12.20.5-0+deb10u1+rebuild) buster; urgency=medium

  * if sender sid2 not exist, use sender sid instead.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:06:45 +0800

dbus (1.12.20.4-0+deb10u1+rebuild) buster; urgency=medium

  * kernel selinux setenforce,getenforce, netlink notify dbus-daemon.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:06:45 +0800

dbus (1.12.20.3-0+deb10u1+rebuild) buster; urgency=medium

  * Do avc check for sid2 just only if the msgtype is method_call.

 -- zhoupeng <zhoupeng@uniontech.com>  Mon, 1 Aug 2022 20:35:45 +0100

dbus (1.12.20.2-0+deb10u1+rebuild) buster; urgency=medium

  * Remove the avc check for sid of sender to sid2 of receiver.

 -- zhoupeng <zhoupeng@uniontech.com>  Thu, 28 Jul 2022 17:10:45 +0100

dbus (1.12.20.1-0+deb10u1+rebuild) buster; urgency=medium

  * Extend selinux sid2 for bus connection.

 -- zhoupeng <zhoupeng@uniontech.com>  Wed, 20 Jul 2022 17:10:45 +0100

dbus (1.12.20-0+deb10u1+rebuild) buster; urgency=medium

  * New upstream stable release
    - CVE-2020-12049: Prevent a denial of service attack in which a local
      user can make the system dbus-daemon run out of file descriptors
    - Prevent use-after-free if two usernames share a uid
    - d/p/dbus-daemon-test-Don-t-test-fd-limits-if-in-an-unprivileg.patch:
      Drop patch, applied upstream.
  * d/gbp.conf: Configure for debian/buster

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Jul 2020 17:10:45 +0100

## dbus 1.12.22

=== debian/changelog ===
dbus (1.12.22-1.0nosystemd1) unstable; urgency=medium

  * add runit scripts
  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Fri, 25 Feb 2022 23:19:39 +0200

dbus (1.12.22-1) unstable; urgency=medium

  * New upstream bug fix release
    - No longer logs warnings about /proc/self/oom_score_adj with
      systemd >= 250 (Closes: #1004543)
    - Improve reproducibility of documentation
  * Drop patch for #1005889, included upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Feb 2022 17:38:58 +0000

dbus (1.12.20-4) unstable; urgency=medium

  * Use debhelper 13 instead of dh-exec where possible.
    We still need to use dh-exec to filter files that are only installed
    on Linux systems, but we no longer need it for ${DEB_HOST_MULTIARCH}
    substitution.
  * d/control: Build-depend on valgrind-if-available.
    Thanks to Adam Borowski
  * Add a patch to ensure the dbus-daemon is running for an integration test.
    Hopefully closes: #1005889
  * Update Lintian overrides syntax

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Feb 2022 12:31:27 +0000

## dbus 1.12.24

=== cmake/tools/CMakeLists.txt ===
add_definitions("-DDBUS_COMPILATION")

set (dbus_send_SOURCES
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h			
	../../tools/dbus-send.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)

set (dbus_monitor_SOURCES
	../../tools/dbus-monitor.c				
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h
	../../tools/tool-common.c
	../../tools/tool-common.h
)

set (dbus_test_tool_SOURCES
	../../tools/dbus-echo.c
	../../tools/dbus-spam.c
	../../tools/tool-common.c
	../../tools/tool-common.h
	../../tools/test-tool.c
	../../tools/test-tool.h
)

set (dbus_update_activation_environment_SOURCES
	../../tools/dbus-update-activation-environment.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)

if (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch-win.c
)
else (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)
endif (WIN32)

if (DBUS_BUILD_X11)
set (dbus_launch_SOURCES
     ${dbus_launch_SOURCES}
     ../../tools/dbus-launch-x11.c
)
include_directories(${X11_INCLUDE_DIR})
endif(DBUS_BUILD_X11)

set (dbus_cleanup_sockets_SOURCES
	../../tools/dbus-cleanup-sockets.c
)

add_executable(dbus-send ${dbus_send_SOURCES})
target_link_libraries(dbus-send ${DBUS_LIBRARIES})
install(TARGETS dbus-send ${INSTALL_TARGETS_DEFAULT_ARGS})

add_executable(dbus-test-tool ${dbus_test_tool_SOURCES})
target_link_libraries(dbus-test-tool ${DBUS_LIBRARIES})
install(TARGETS dbus-test-tool ${INSTALL_TARGETS_DEFAULT_ARGS})

if(WIN32 AND NOT MSVC)
    # avoid dbus-update-activation-environment triggering UAC
    # 1 is the resource ID, ID_MANIFEST
    # 24 is the resource type, RT_MANIFEST
    # constants are used because of a bug in windres
    # see https://stackoverflow.com/questions/33000158/embed-manifest-file-to-require-administrator-execution-level-with-mingw32
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/disable-uac.rc "1 24 \"${CMAKE_SOURCE_DIR}/../tools/Win32.Manifest\"\n")
    list(APPEND dbus_update_activation_environment_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/disable-uac.rc)
endif()
add_executable(dbus-update-activation-environment ${dbus_update_activation_environment_SOURCES})
target_link_libraries(dbus-update-activation-environment ${DBUS_LIBRARIES})
install(TARGETS dbus-update-activation-environment ${INSTALL_TARGETS_DEFAULT_ARGS})

add_executable(dbus-launch ${dbus_launch_SOURCES})
target_link_libraries(dbus-launch ${DBUS_LIBRARIES})
if (DBUS_BUILD_X11)
  target_link_libraries(dbus-launch ${X11_LIBRARIES} )
endif (DBUS_BUILD_X11)
install(TARGETS dbus-launch ${INSTALL_TARGETS_DEFAULT_ARGS})

add_executable(dbus-monitor ${dbus_monitor_SOURCES})
target_link_libraries(dbus-monitor ${DBUS_LIBRARIES})
install(TARGETS dbus-monitor ${INSTALL_TARGETS_DEFAULT_ARGS})

# create the /var/lib/dbus directory for dbus-uuidgen
install(DIRECTORY DESTINATION var/lib/dbus)

=== debian/changelog ===
dbus (1.12.24-0+deb11u1) bullseye-security; urgency=medium

  * New upstream stable release 1.12.22
    - No longer logs warnings about /proc/self/oom_score_adj with
      systemd >= 250 (Closes: #1004543)
    - Improve reproducibility of documentation
    - Fix a race condition in test/integration/transient-services.sh
      which affects the autopkgtest (Closes: #1005889)
    - Fixes for some non-Debian platforms
  * New upstream stable release 1.12.24
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)
    - Don't crash if asked to watch more than 128 directories for changes
    - Fix error reporting for a rare out-of-memory condition
    - Fixes for non-Debian mingw-w64 builds
  * d/gbp.conf, d/control: Switch branch for bullseye

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:04:31 +0100

=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Michael Biebl <biebl@debian.org>,
 Loic Minier <lool@dooz.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 autoconf-archive (>= 20150224),
 automake,
 debhelper-compat (= 12),
 dh-exec,
 libapparmor-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libexpat-dev,
 libglib2.0-dev <!nocheck> <!noinsttest>,
 libnss-wrapper <!nocheck>,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any],
 libx11-dev,
 pkg-config,
 python3 <!nocheck> <!noinsttest>,
 python3-dbus <!nocheck> <!noinsttest>,
 python3-gi <!nocheck> <!noinsttest>,
 valgrind [amd64 arm64 armhf i386 mips64 mips64el mips mipsel powerpc ppc64 ppc64el s390x],
 xmlto <!nodoc>,
Build-Depends-Indep:
 doxygen <!nodoc>,
 ducktype <!nodoc>,
 xsltproc <!nodoc>,
 yelp-tools <!nodoc>,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/bullseye
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
Homepage: https://dbus.freedesktop.org/
Rules-Requires-Root: no

Package: dbus
Architecture: any
Priority: standard
Provides:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-session-bus-common (= ${binary:Version}),
 dbus-system-bus (= ${binary:Version}),
 dbus-system-bus-common (= ${binary:Version}),
 default-dbus-system-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-dbus-session-bus | dbus-session-bus,
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Suggests:
 libdbus-1-dev,
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.11.10-2~),
Replaces:
 dbus-1-dbg (<< 1.11.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility. It also provides copies of the D-Bus libraries and
 executables compiled with extra debug information and logging.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus and dbus-x11 packages,
 for use in the Debian installer. It can run a session bus, but is not
 suitable for use as a system bus.

Package: dbus-user-session
Architecture: linux-any
Multi-Arch: foreign
Provides:
 dbus-session-bus,
 default-dbus-session-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Breaks:
 dbus-x11 (<< 1.9.10-2~),
 policykit-1 (<< 0.105-12~),
 udisks2 (<< 2.1.5-2~),
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-x11
Architecture: any
Section: x11
Provides:
 dbus-session-bus,
 default-dbus-session-bus [!linux-any],
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.9.16-1~),
Recommends:
 dbus,
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libdbus-1-3 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends: dbus, dbus-tests, dbus-x11, gnome-desktop-testing, xauth, xvfb

Tests: apparmor
Restrictions: allow-stderr, needs-root
Depends: apparmor, dbus, dbus-tests

Tests: root
Restrictions: allow-stderr, needs-root
Depends: dbus, dbus-tests

Tests: system-bus
Restrictions: isolation-machine, needs-reboot, needs-root
Depends: dbus, dbus-tests, init

Tests: build
Restrictions: superficial
Depends: libdbus-1-dev, dbus, build-essential

## dbus 1.12.28

=== debian/changelog ===
dbus (1.12.28-0+deb11u1devuan1) chimaera-proposed-updates; urgency=medium

  * Merge debian 1.12.28-0+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Sep 2023 17:41:50 +0100

dbus (1.12.28-0+deb11u1) bullseye; urgency=medium

  * New upstream stable release 1.12.26
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * New upstream stable release 1.12.28
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:07:35 +0100

dbus (1.12.24-0+deb11u1devuan1) chimaera-security; urgency=medium

  * Merge debian 1.12.24-0+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Oct 2022 09:14:54 +0100

dbus (1.12.20-2+devuan2) unstable; urgency=medium

  * d/control: dbus-x11 Provides default-dbus-session-bus on Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Jun 2021 17:48:01 +0100

dbus (1.12.20-2+devuan1) unstable; urgency=medium

  * Merge debian/1.12.20-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 04 Mar 2021 10:48:33 +0000

dbus (1.12.20-1+devuan1) unstable; urgency=medium

  * Merge Debian version 1.12.20-1.
  * d/control:
    - update Vcs-* urls following Gitea migration
    - correct upstream URL scheme (lost in previous merge).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Jul 2020 12:42:27 +0100

dbus (1.12.18-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.12.18-1.
  * Fix system-bus autopackage test detection of systemd (Closes: #469).
  * Add lsb-base dependency for initscript (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 08 Jun 2020 12:01:21 +0100

dbus (1.12.16-2+devuan1) unstable; urgency=medium

  * Merge Debian version 1.12.16-2.
  * d/control:
     - update Vcs-* fields
     - add Origin: Devuan
     - add myself to uploaders
  * d/gbp.conf: add default debian-tag.  

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Apr 2020 10:57:04 +0100

dbus (1.12.16-1+devuan2) unstable; urgency=medium

  * remove errant new line

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 26 Jun 2019 19:05:40 +1200

dbus (1.12.16-1+devuan1) unstable; urgency=medium

    [ Daniel Reurich ]
  * Merge 1.12.16-1 from Debian
  * Update maintainer to team maintainers.

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 26 Jun 2019 18:46:01 +1200

dbus (1.12.12-1+devuan3) unstable; urgency=medium

  [ KatolaZ ]
  * use PIDDIR as a better proxy of first run in initscript
  * add documentation for IDTYPE

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 12 Mar 2019 06:12:53 +0000

dbus (1.12.12-1+devuan2) unstable; urgency=medium

  * change check on uptime for machine-id replacement 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 08 Mar 2019 21:47:37 +0000

dbus (1.12.12-1+devuan1) unstable; urgency=medium

  * add option to re-generate /var/lib/dbus/machine-id at boot 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 08 Mar 2019 19:30:33 +0000

dbus (1.12.10-1+devuan1) unstable; urgency=medium

  * merged 1.12.10 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 06 Nov 2018 17:27:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,26 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Sjoerd Simons <sjoerd@debian.org>,
- Sebastian Dröge <slomo@debian.org>,
- Michael Biebl <biebl@debian.org>,
- Loic Minier <lool@dooz.org>,
- Simon McVittie <smcv@debian.org>,
-Build-Depends:
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Denis Roio <jaromil@dyne.org>,
+    Mark (LeePen) Hindley <mark@hindley.org.uk>,
+    Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+    Daniel Reurich <daniel@centurion.net.nz>
+# The following packages can be omitted for bootstrapping, but provide extra
+# features:
+#   libapparmor-dev
+#   libaudit-dev
+#   libcap-ng-dev
+# The following packages can be omitted for bootstrapping, but provide extra
+# debugging support in /usr/lib/*/dbus-1.0/debug-build:
+#   valgrind
+# The following packages can be omitted for bootstrapping, but improve test
+# coverage:
+#   libglib2.0-dev
+#   python
+#   python-dbus (circular dependency)
+#   python-gobject
+Build-Depends: 
  autoconf-archive (>= 20150224),
  automake,
  debhelper-compat (= 12),
@@ -20,7 +32,6 @@
  libglib2.0-dev <!nocheck> <!noinsttest>,
  libnss-wrapper <!nocheck>,
  libselinux1-dev [linux-any],
- libsystemd-dev [linux-any],
  libx11-dev,
  pkg-config,
  python3 <!nocheck> <!noinsttest>,
@@ -34,8 +45,9 @@
  xsltproc <!nodoc>,
  yelp-tools <!nodoc>,
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
+Vcs-Git: https://git.devuan.org/devuan/dbus.git
+Vcs-Browser: https://git.devuan.org/devuan/dbus
+Origin: Devuan
 Homepage: https://dbus.freedesktop.org/
 Rules-Requires-Root: no
 
@@ -53,6 +65,7 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
+ lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -141,54 +154,12 @@
  for use in the Debian installer. It can run a session bus, but is not
  suitable for use as a system bus.
 
-Package: dbus-user-session
-Architecture: linux-any
-Multi-Arch: foreign
+Package: dbus-x11
+Architecture: any
+Section: x11
 Provides:
  dbus-session-bus,
  default-dbus-session-bus,
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- dbus (>= ${source:Version}),
- libpam-systemd,
- systemd,
- ${misc:Depends},
-Recommends:
- systemd-sysv,
-Breaks:
- dbus-x11 (<< 1.9.10-2~),
- policykit-1 (<< 0.105-12~),
- udisks2 (<< 2.1.5-2~),
-Description: simple interprocess messaging system (systemd --user integration)
- D-Bus is a message bus, used for sending messages between applications.
- Conceptually, it fits somewhere in between raw sockets and CORBA in
- terms of complexity.
- .
- On systemd systems, this package opts in to the session model in which
- a user's session starts the first time they log in, and does not end
- until all their login sessions have ended. This model merges all
- parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
- to one graphical session, into a single "user-session" or "super-session"
- within which all background D-Bus services are shared.
- .
- Multiple graphical sessions per user are not currently supported in this
- mode; as a result, it is particularly suitable for gdm, which responds to
- requests to open a parallel graphical session by switching to the existing
- graphical session and unlocking it.
- .
- To retain dbus' traditional session semantics, in which login sessions
- are artificially isolated from each other, remove this package and install
- dbus-x11 instead.
- .
- See the dbus package description for more information about D-Bus in general.
-
-Package: dbus-x11
-Architecture: any
-Section: x11
-Provides:
- dbus-session-bus,
- default-dbus-session-bus [!linux-any],
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2011 Michael Biebl <biebl@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ $(dh_options)

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))
debug_build_prefix := /usr/lib/dbus-1.0/debug-build
binaries := $(shell dh_listpackages)

export DEB_LDFLAGS_MAINT_APPEND = \
	-Wl,--as-needed \
	-Wl,--gc-sections \
	$(NULL)

dh_options = \
	--builddirectory=debian/build-main \
	$(NULL)

common_configure_flags := \
		--libexecdir=\$${prefix}/lib/dbus-1.0 \
		--with-system-socket=/run/dbus/system_bus_socket \
		$(NULL)

normal_configure_flags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	$(NULL)

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Non-bootstrap build on Linux: add Linux-specifics
common_configure_flags += \
		--enable-apparmor \
		--enable-libaudit \
		--enable-selinux \
		--disable-systemd \
		--with-systemdsystemunitdir= \
		$(NULL)
normal_configure_flags += \
	--disable-user-session \
	--with-systemduserunitdir= \
	$(NULL)
endif

debug_configure_flags := \
	--disable-xml-docs \
	--disable-doxygen-docs \
	--disable-ducktype-docs \
	--enable-asserts \
	--enable-checks \
	--enable-verbose-mode \
	--with-valgrind=auto \
	--prefix=${debug_build_prefix} \
	--libdir='$${prefix}/lib' \
	--sysconfdir='$${prefix}/etc' \
	--with-systemdsystemunitdir= \
	--bindir='${debug_build_prefix}/bin' \
	--libexecdir='${debug_build_prefix}/libexec' \
	$(NULL)

udeb_configure_flags := \
	$(normal_configure_flags) \
	--disable-apparmor \
	--disable-asserts \
	--disable-checks \
	--disable-doxygen-docs \
	--disable-ducktype-docs \
	--disable-libaudit \
	--disable-selinux \
	--disable-stats \
	--disable-systemd \
	--disable-installed-tests \
	--disable-user-session \
	--disable-verbose-mode \
	--disable-xml-docs \
	CFLAGS='$(CFLAGS) -Os' \
	$(NULL)

ifneq ($(filter dbus-tests,$(binaries)),)
common_configure_flags += --enable-installed-tests
else
# documentation disabled
dh_options += -Ndbus-1-doc
normal_configure_flags += \
	--disable-xml-docs \
	--disable-doxygen-docs \
	$(NULL)
common_configure_flags += --disable-installed-tests
endif

# Some features are needed whenever we have build-time *or* installed tests
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter dbus-tests,$(binaries)),nocheck)
common_configure_flags += PYTHON=/usr/bin/python3
debug_configure_flags += --enable-embedded-tests
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
normal_configure_flags += --enable-xml-docs
else
normal_configure_flags += --disable-xml-docs
endif

ifneq ($(filter dbus-1-doc,$(binaries)),)
normal_configure_flags += --enable-doxygen-docs
normal_configure_flags += --enable-ducktype-docs
else
normal_configure_flags += --disable-doxygen-docs
normal_configure_flags += --disable-ducktype-docs
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		$(normal_configure_flags) \
		$(NULL)
ifneq ($(filter dbus-tests,$(binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build-debug \
		-- \
		$(common_configure_flags) \
		$(debug_configure_flags) \
		$(NULL)
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build-udeb \
		-- \
		$(common_configure_flags) \
		$(udeb_configure_flags) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter dbus-tests,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-debug
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-udeb
endif

handle-test-failure:
	@find debian/build-* -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-print0 | xargs -0 tail -v -c1M
ifeq ($(DEB_HOST_ARCH_OS),linux)
	@echo "Build-time tests failed, please debug"
	@false
else
	@echo "Ignoring build-time test failure on non-Linux for now"
endif

test_env = \
	-u DISPLAY \
	HOME=$(CURDIR)/debian/tmp-home \
	DBUS_TEST_HOMEDIR=$(CURDIR)/debian/tmp-home \
	DBUS_TEST_MALLOC_FAILURES=0 \
	LD_PRELOAD=libnss_wrapper.so \
	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
	$(NULL)

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	install -d $(CURDIR)/debian/tmp-home
	env $(test_env) \
		dh_auto_test -- -k \
		|| make -f debian/rules handle-test-failure
ifneq ($(filter dbus-tests,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-debug --no-parallel -- -k \
		|| make -f debian/rules handle-test-failure
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-udeb -- -k \
		|| make -f debian/rules handle-test-failure
endif
	@find debian/build-* -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-print0 | xargs -0 tail -v -c1M
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install:
ifneq ($(filter dbus-udeb,$(binaries)),)
	# udeb build
	make -C debian/build-udeb install-exec DESTDIR=$(CURDIR)/debian/tmp-udeb
	cd $(CURDIR)/debian/tmp-udeb && find | LC_ALL=C sort
endif
ifneq ($(filter dbus-tests,$(binaries)),)
	# debug build
	make -C debian/build-debug install DESTDIR=$(CURDIR)/debian/tmp
	rm -rfv debian/tmp/etc
	rm -rfv debian/tmp/lib/systemd
	rm -rfv debian/tmp/usr/include
	rm -rfv debian/tmp/usr/lib/systemd
	rm -rfv debian/tmp/usr/lib/sysusers.d
	rm -rfv debian/tmp/usr/share/dbus-1
	rm -rfv debian/tmp/usr/share/doc
	rm -rfv debian/tmp/usr/share/man
	rm -rfv debian/tmp/usr/share/xml
#	mv debian/tmp/usr/share/installed-tests/dbus \
#		debian/tmp/usr/share/installed-tests/dbus-debug-build
#	sed -i -e \
		"s,^Exec=,Exec=sh -c 'export PATH=/usr/lib/dbus-1.0/debug-build/bin:\$$PATH; exec \"\$$@\"' sh ," \
		debian/tmp/usr/share/installed-tests/dbus-debug-build/*.test
	rm -f debian/tmp/${debug_build_prefix}/lib/libdbus-1.la
	rm -f debian/tmp/${debug_build_prefix}/libexec/installed-tests/dbus/data/sha-1/Readme.txt
	cd $(CURDIR)/debian/tmp && find | LC_ALL=C sort
endif
	# normal build (do this last so that it overwrites the others)
	dh_auto_install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.la
	rm -f debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus/data/sha-1/Readme.txt
ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
	# Reproducible build: sed out the generated dates from the man pages.
	sed -i \
		-e '/^\.\\\" *Date: .*/d' \
		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
		debian/tmp/usr/share/man/man?/*
endif
ifeq ($(filter dbus-tests,$(binaries)),)
	# noinsttest builds dbus-test-tool but not dbus-tests
	rm -f debian/tmp/usr/bin/dbus-test-tool
endif
ifeq ($(filter dbus-1-doc,$(binaries)),)
	# nodoc builds still install a bit of documentation
	rm -fr debian/tmp/usr/share/doc/dbus
endif
	# Remove the legacy bus configuration files. We move their old
	# versions out of the way, include the moved names in the new
	# bus setup instead of the old names, and replace the old names
	# with a symlink to the new bus setup so that old dbus-daemons
	# can still reload their configuration.
	rm -f debian/tmp/etc/dbus-1/session.conf
	rm -f debian/tmp/etc/dbus-1/system.conf
	# if bootstrapping it's possible that no tests will get installed - create
	# the directory in case that's happened, so the .install file doesn't need
	# modification
	#install -d debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus
	#install -d debian/tmp/${debug_build_prefix}/lib/dbus-1.0/installed-tests/dbus
	# dbus.target no longer exists. This will be removed upstream in 1.11
	rm -f -r -v debian/tmp/lib/systemd/system/dbus.target.wants
	# Fix up the development symlink for us installing the shared library
	# in /lib
	target=$$(readlink "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so"); \
